## com.trilead.ssh2.packets
Class PacketKexInit

    java.lang.Object
      com.trilead.ssh2.packets.PacketKexInit

    public class PacketKexInit

extends java.lang.Object

PacketKexInit.

Constructor Summary
`PacketKexInit(byte[] payload, int off, int len)`
`PacketKexInit(CryptoWishList cwl, java.security.SecureRandom rnd)`

Method Summary
`java.lang.String[]` `getCompression_algorithms_client_to_server()`
`java.lang.String[]` `getCompression_algorithms_server_to_client()`
`byte[]` `getCookie()`
`java.lang.String[]` `getEncryption_algorithms_client_to_server()`
`java.lang.String[]` `getEncryption_algorithms_server_to_client()`
`java.lang.String[]` `getKex_algorithms()`
`KexParameters` `getKexParameters()`
`java.lang.String[]` `getLanguages_client_to_server()`
`java.lang.String[]` `getLanguages_server_to_client()`
`java.lang.String[]` `getMac_algorithms_client_to_server()`
`java.lang.String[]` `getMac_algorithms_server_to_client()`
`byte[]` `getPayload()`
`int` `getReserved_field1()`
`java.lang.String[]` `getServer_host_key_algorithms()`
`boolean` `isFirst_kex_packet_follows()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketKexInit

    public PacketKexInit(CryptoWishList cwl,
                         java.security.SecureRandom rnd)

### PacketKexInit

    public PacketKexInit(byte[] payload,
                         int off,
                         int len)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()

### getKexParameters

    public KexParameters getKexParameters()

### getCompression_algorithms_client_to_server

    public java.lang.String[] getCompression_algorithms_client_to_server()

### getCompression_algorithms_server_to_client

    public java.lang.String[] getCompression_algorithms_server_to_client()

### getCookie

    public byte[] getCookie()

### getEncryption_algorithms_client_to_server

    public java.lang.String[] getEncryption_algorithms_client_to_server()

### getEncryption_algorithms_server_to_client

    public java.lang.String[] getEncryption_algorithms_server_to_client()

### isFirst_kex_packet_follows

    public boolean isFirst_kex_packet_follows()

### getKex_algorithms

    public java.lang.String[] getKex_algorithms()

### getLanguages_client_to_server

    public java.lang.String[] getLanguages_client_to_server()

### getLanguages_server_to_client

    public java.lang.String[] getLanguages_server_to_client()

### getMac_algorithms_client_to_server

    public java.lang.String[] getMac_algorithms_client_to_server()

### getMac_algorithms_server_to_client

    public java.lang.String[] getMac_algorithms_server_to_client()

### getReserved_field1

    public int getReserved_field1()

### getServer_host_key_algorithms

    public java.lang.String[] getServer_host_key_algorithms()